<?php
global $theme_sidebars;
$places = array();
foreach ($theme_sidebars as $sidebar){
    if ($sidebar['group'] !== 'footer')
        continue;
    $widgets = theme_get_dynamic_sidebar_data($sidebar['id']);
    if (!is_array($widgets) || count($widgets) < 1)
        continue;
    $places[$sidebar['id']] = $widgets;
}
$place_count = count($places);
$needLayout = ($place_count > 1);
if (theme_get_option('theme_override_default_footer_content')) {
    if ($place_count > 0) {
        $centred_begin = '<div class="art-center-wrapper"><div class="art-center-inner">';
        $centred_end = '</div></div><div class="clearfix"> </div>';
        if ($needLayout) { ?>
<div class="art-content-layout">
    <div class="art-content-layout-row">
        <?php 
        }
        foreach ($places as $widgets) { 
            if ($needLayout) { ?>
            <div class="art-layout-cell art-layout-cell-size<?php echo $place_count; ?>">
            <?php 
            }
            $centred = false;
            foreach ($widgets as $widget) {
                 $is_simple = ('simple' == $widget['style']);
                 if ($is_simple) {
                     $widget['class'] = implode(' ', array_merge(explode(' ', theme_get_array_value($widget, 'class', '')), array('art-footer-text')));
                 }
                 if (false === $centred && $is_simple) {
                     $centred = true;
                     echo $centred_begin;
                 }
                 if (true === $centred && !$is_simple) {
                     $centred = false;
                     echo $centred_end;
                 }
                 theme_print_widget($widget);
            } 
            if (true === $centred) {
                echo $centred_end;
            }
            if ($needLayout) {
           ?>
            </div>
        <?php 
            }
        } 
        if ($needLayout) { ?>
    </div>
</div>
        <?php 
        }
    }
?>
<div class="art-footer-text">
<?php
global $theme_default_options;
echo do_shortcode(theme_get_option('theme_override_default_footer_content') ? theme_get_option('theme_footer_content') : theme_get_array_value($theme_default_options, 'theme_footer_content'));
} else { 
?>
<div class="art-footer-text">

<p><a href="<?php theme_ob_start() ?>[post_link name='/o-nas']<?php echo do_shortcode(theme_ob_get_clean()) ?>" style="font-size: 16px; font-weight: bold;"><span style="color: #000000;">O&nbsp;nas</span></a><span style="color: rgb(0, 0, 0);"><a href="#"><span style="color: rgb(0, 0, 0); font-weight: bold; font-size: 16px;"></span></a><span style="font-weight: bold;"><span style="font-size: 16px;">&nbsp; |</span> <a href="<?php theme_ob_start() ?>[post_link name='/kontakt']<?php echo do_shortcode(theme_ob_get_clean()) ?>" style="font-size: 16px;"><span style="color: rgb(0, 0, 0);">Kontakt</span></a><span style="font-size: 16px;">&nbsp;</span></span></span></p><p><span style="font-size: 16px; font-weight: bold; color: rgb(0, 0, 0);"><br></span></p>
<p><span style="color: rgb(0, 0, 0); font-size: 10px;">Copyright © 2014. All Rights Reserved.</span></p>

<?php } ?>

</div>
